#!/bin/env dls-python
import PandATest

"""
LVDS Loop Back (LB) test
"""


class LvdsLoopBack(PandATest.PandATest):

    def __init__(self, *args, **kwargs):
        super(LvdsLoopBack, self).__init__(*args, **kwargs)
        self.outputs = [1, 2]
        self.inputs = [1, 2]
        self.ch_connect = {
            self.outputs[0]: self.inputs[0],
            self.outputs[1]: self.inputs[1]
        }
        self.default_val = 0

    def get_user_input(self):
        inputy = '.'
        while inputy not in ['']:
            print "Loopback connectors for LVDS connected, OK ? [return]"
            inputy = raw_input()

    def test_code(self):
        self.toggle_val('LVDSOUT', 'VAL', 'LVDSIN', 'VAL', self.default_val)