#!/bin/env dls-python
import PandATest

"""
LVDS Unplugged (U) test
"""


class LvdsUnplugged(PandATest.PandATest):

    def __init__(self, *args, **kwargs):
        super(LvdsUnplugged, self).__init__(*args, **kwargs)
        self.inputs = [1, 2]
        self.outputs = [1, 2]
        self.ch_connect = {
            self.outputs[0]: -1,
            self.outputs[1]: -1
        }
        self.default_val = 1

    def get_user_input(self):
        inputy = '.'
        while inputy not in ['']:
            print "Loopback connectors for LVDS NOT connected, OK ? [return]"
            inputy = raw_input()

    def test_code(self):
        self.toggle_val('LVDSOUT', 'VAL', 'LVDSIN', 'VAL', self.default_val)
