#!/bin/env dls-python
import PandATest

"""
TTL Loop Back (LB) test
"""

class TtlLoopBack(PandATest.PandATest):

    def __init__(self, *args, **kwargs):
        super(TtlLoopBack, self).__init__(*args, **kwargs)
        self.outputs = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]
        self.inputs = [1, 2, 3, 4, 5, 6]
        self.ch_connect = {
            self.outputs[0]: self.inputs[0],
            self.outputs[1]: self.inputs[1],
            self.outputs[2]: self.inputs[2],
            self.outputs[3]: self.inputs[3],
            self.outputs[4]: self.inputs[4],
            self.outputs[5]: self.inputs[5],
            self.outputs[6]: self.inputs[0],
            self.outputs[7]: self.inputs[1],
            self.outputs[8]: self.inputs[2],
            self.outputs[9]: self.inputs[3]
        }

    def get_user_input(self):
        inputy = '.'
        while inputy not in ['']:
            print "Loopback connecters for TTL connected, OK ? [return]"
            inputy = raw_input()

    def test_code(self):
        default_val = 0
        self.toggle_val('TTLOUT', 'VAL', 'TTLIN', 'VAL', default_val)