#!/bin/env dls-python
import PandATest

"""
TTL Unplugged (U) test
"""


class TtlUnplugged(PandATest.PandATest):

    def __init__(self, *args, **kwargs):
        super(TtlUnplugged, self).__init__(*args, **kwargs)
        self.outputs = [1,2,3,4,5,6,7,8,9,10]
        self.inputs = [1,2,3,4,5,6]
        self.ch_connect = {
            self.outputs[0]: -1,
            self.outputs[1]: -1,
            self.outputs[2]: -1,
            self.outputs[3]: -1,
            self.outputs[4]: -1,
            self.outputs[5]: -1,
            self.outputs[6]: -1,
            self.outputs[7]: -1,
            self.outputs[8]: -1,
            self.outputs[9]: -1,
        }

    def get_user_input(self):
        inputy = '.'
        while inputy not in ['']:
            print "Loopback connecters for TTL NOT connected, OK ? [return]"
            inputy = raw_input()

    def test_code(self):
        default_val = 0
        self.toggle_val('TTLOUT', 'VAL', 'TTLIN', 'VAL', default_val)